Bug 243934 - Provide summary fields for CPU and Memory utilization in xentop command
Provide summary fields for CPU and Memory utilization in xentop command
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: xen (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Xen Maintainance List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-12 16:17 EDT by Jan Mark Holzer
Modified: 2011-10-16 15:11 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-30 13:59:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Mark Holzer 2007-06-12 16:17:04 EDT
Description of problem:
Currently xentop is one of the very few tools customers can use to retrieve
statistics to monitor their virtualized environment.
However xentop currently does not provide a function which would allow the user
to gather a summary of CPU or Memory consumption for all domains combined. The
only option to get a summary is to manually compute the value using each
individual domain's result.
This obviously is not what the customer needs and it has been requested by
various customers to enhance xentop to at least provide a summary feature for
CPU and Memory utilization (VBD and NET stats can follow later as CPU/MEM is
of higher priority).

At the same time it would be useful to at least optional present the CPU
statistics in a more meaningful way as they currently are not displayed in
relevance to the physical resource, but the user has to divide the results by
the number of active processors in the system. As xentop has the information
already in its summary header it shouldn't be too difficult to provide a more
useful % ratio to the user.

Version-Release number of selected component (if applicable):

RHEL5 GA

How reproducible:

run "xentop -b" or in interactive mode "xentop" and follow CPU % utilization
or Memory % . CPU % percentage will also show values >100% .

Steps to Reproduce:
1. run xentop
2. generate some load in domains 
3. watch % of CPU and Memory
4.
  
Actual results:

Individual domain statistics and CPU % >100%

Expected results:

Ability to select a summary line at the bottom
CPU statistics relative to the actual available hardware
resources 


Example mock up output :

First example :

vbd-100-832 is VBD.
vbd-100-768 is VBD.
xentop - 13:12:47   Xen 3.0.3-rc5-8.el5
2 domains: 1 running, 1 blocked, 0 paused, 0 crashed, 0 dying, 0 shutdown
Mem: 16776180k total, 2343176k used, 14433004k free    CPUs: 8 @ 2400MHz
NAME  STATE   CPU(sec) CPU(%)  MEM(k) MEM(%)  MAXMEM(k)   MAXMEM(%) VCPUS
Domain-0 -----r 84668   47.3     452688    2.8   no limit       n/a 8   16
vm1 --b---      79852   47.8    3941908   24.7    3942400      24.7 8    2
vm2 -----r      88032   60.7    3942104   24.7    3942400      24.7 8    2
vm3 --b---      86238   51.8    3941964   24.7    3942400      24.7 8    2
vm4 --b---      84749   51.8    3583580   22.4    3584000      22.4 8    2
-----------------------------------------------------------------------------
Total CPU resource used: 259.4% (of 800% available)
Total REAL CPU resource used: 32.425%
Total MEM resource used: 99.3% (of 16G available)


Second example :

vbd-100-832 is VBD.
vbd-100-768 is VBD.
xentop - 13:12:47   Xen 3.0.3-rc5-8.el5
2 domains: 1 running, 1 blocked, 0 paused, 0 crashed, 0 dying, 0 shutdown
Mem: 16776180k total, 2343176k used, 14433004k free    CPUs: 8 @ 2400MHz
NAME  STATE   CPU(sec) CPU(%)  MEM(k) MEM(%)  MAXMEM(k)   MAXMEM(%) VCPUS
Domain-0 -----r 84668   47.3     452688    2.8   no limit       n/a 8   16
vm1 --b---      79852   47.8    3941908   24.7    3942400      24.7 8    2
vm2 -----r      88032   60.7    3942104   24.7    3942400      24.7 8    2
vm3 --b---      86238   51.8    3941964   24.7    3942400      24.7 8    2
vm4 --b---      84749   51.8    3583580   22.4    3584000      22.4 8    2
---------------------------------------------------------------------------
CPU%: 259.4%, REAL CPU: 32.425%, MEM: 99.3%


Additional info:
Comment 2 Daniel Berrange 2007-06-12 16:25:28 EDT
IMHO, we should not spend any development effort on xen userspace tools like
xentop. Any neccessary functionality should be added to libvirt/virsh and/or a
higher level tool built around libvirt so we get the functionality for all
virtualization platforms.
Comment 3 Jan Mark Holzer 2007-06-12 16:28:06 EDT
It is fine with me if we provide a CLI utility which provides similar statistics
retrieved via libvirt/virsh . It is just something we need to provide in the
near future and xentop is a utility customer have been using so far as it's the
only CLI tool available.

- Jan
Comment 5 RHEL Product and Program Management 2007-10-15 23:57:43 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Note You need to log in before you can comment on or make changes to this bug.